#!/bin/sh

# Original key score

mup -f cum-ieiunatis.ps cum-ieiunatis

# Original key MIDI file

mup -m cum-ieiunatis.mid cum-ieiunatis

# Original key separate parts

mup -D SUPERIUS -c3 -s 1 -f cum-ieiunatis-s.ps cum-ieiunatis
mup -D ALTUS1 -c3 -s 2 -f cum-ieiunatis-a1.ps cum-ieiunatis
mup -D ALTUS2 -c3 -s 3 -f cum-ieiunatis-a2.ps cum-ieiunatis
mup -D TENOR -c3 -s 4 -f cum-ieiunatis-t.ps cum-ieiunatis
mup -D BASSUS -c3 -s 5 -f cum-ieiunatis-b.ps cum-ieiunatis

# Low key score

mup -D LOWKEY -f cum-ieiunatis-low.ps cum-ieiunatis

# Low key MIDI file

mup -D LOWKEY -m cum-ieiunatis-low.mid cum-ieiunatis

# Low key separate parts

mup -D LOWKEY -D SUPERIUS -c3 -s 1 -f cum-ieiunatis-low-s.ps cum-ieiunatis
mup -D LOWKEY -D ALTUS1 -c3 -s 2 -f cum-ieiunatis-low-a1.ps cum-ieiunatis
mup -D LOWKEY -D ALTUS2 -c3 -s 3 -f cum-ieiunatis-low-a2.ps cum-ieiunatis
mup -D LOWKEY -D TENOR -c3 -s 4 -f cum-ieiunatis-low-t.ps cum-ieiunatis
mup -D LOWKEY -D BASSUS -c3 -s 5 -f cum-ieiunatis-low-b.ps cum-ieiunatis

# Pdf files

for FILE in *.ps
do
    FILE=`basename $FILE .ps`
    echo "${FILE} ..."
    ps2pdf ${FILE}.ps ${FILE}.pdf
done
